stages:
  - deploy

pages:
  image: node:latest
  stage: deploy
  script:
    - cp public/favicon.ico favicon.ico
    - yarn install
    - rm -r public
    - npm run build:widget
    - cp -r docs public
    - cp favicon.ico public/favicon.ico
    - echo $index_html | base64 -d > public/index.html
  artifacts:
    paths:
      - public
  only:
    - master
